<template>
  <div class="the-admin-navbar">
    <nav class="navbar is-transparent" role="navigation" aria-label="main navigation">
      <div class="container">

        <div id="main-navbar" class="navbar-menu">
          <div class="navbar-start" v-if="this.$store.getters.isAuthenticated">
            <router-link
             class="navbar-item"
             v-for="(link, index) in links"
             :key="index"
             :to="link.path">
             {{ link.meta.label }}
            </router-link>
          </div> <!-- navbar-start -->
        </div> <!-- main-navbar -->

      </div> <!-- container -->
    </nav>
  </div>
</template>

<script>
import routes from '@/router'
require('@/assets/js/navbar-burguer.js')

export default {
  name: 'TheAdminNavbar',
  props: {
    msg: String
  },
  data: function ()  {
    return {
      links: Array
    }
  },
  created () {
    this.getLinks()
  },
  methods: {
    getLinks() {
      var output = []
      var aux = routes.options.routes
      for (var i = 0; i < aux.length; i++) {
        if (aux[i].meta.admin)
          output.push(aux[i])
      }
      this.links = output
    }
  }
}

</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
</style>
